using namespace std;
#include<vector>
#include <valarray>

class InverseCompton
{
public:
  void   init(int debug);
  double IC_sigma_KN(double Ee, double Eph, double eta, double Egamma);

  void   IC_emiss(valarray<double> Ee,   valarray<double> Eph, double eta,valarray<double> Egamma,
                  valarray<double> fluxe,valarray<double> nph,            valarray<double> &emiss,
                  int method );

  void   IC_loss (         double Ee,  
                  valarray<double> Eph,  valarray<double> nph,    
		           double &dEdt, double &mean_energy_loss);
                  

  void   test(int options);

private:
 
  double constant;
  int    initialized;
  int    debug;
};
